#include "xgfxworlddpvsdynamic.h"

XGfxWorldDpvsDynamic::XGfxWorldDpvsDynamic()
    : XAsset()
    , mDynEntClientWordCount()
    , mDynEntClientCount()
    , mDynEntCellBitsPtrs()
    , mDynEntCellBits()
    , mDynEntVisDataPtrs()
    , mDynEntVisData()
{
    
}

XGfxWorldDpvsDynamic::~XGfxWorldDpvsDynamic()
{
    
}

uint XGfxWorldDpvsDynamic::GetClientCount(int aIndex) const
{
    return mDynEntClientCount[aIndex];
}

void XGfxWorldDpvsDynamic::ParseData(QDataStream *aStream)
{
    
}

void XGfxWorldDpvsDynamic::Clear()
{
    mDynEntClientWordCount.clear();
    mDynEntClientCount.clear();
    mDynEntCellBitsPtrs.clear();
    mDynEntCellBits.clear();
    mDynEntVisDataPtrs.clear();
    mDynEntVisData.clear();
}
